Bug 1079640 - Review Request: rubygem-json_spec - Easily handle JSON in RSpec and Cucumber
Summary: Review Request: rubygem-json_spec - Easily handle JSON in RSpec and Cucumber
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Josef Stribny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-22 11:42 UTC by František Dvořák
Modified: 2016-01-04 05:52 UTC (History)
4 users (show)

Fixed In Version: rubygem-json_spec-1.1.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-16 00:32:44 UTC
Type: ---
jstribny: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description František Dvořák 2014-03-22 11:42:40 UTC
Spec URL: http://scientific.zcu.cz/fedora/rubygem-json_spec-1.1.1-1/rubygem-json_spec.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-json_spec-1.1.1-1/rubygem-json_spec-1.1.1-1.fc21.src.rpm
Description: RSpec matchers and Cucumber steps for testing JSON content.
Fedora Account System Username: valtri

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6661234

Comment 1 František Dvořák 2014-04-23 14:53:36 UTC
Spec URL: http://scientific.zcu.cz/fedora/rubygem-json_spec-1.1.1-2/rubygem-json_spec.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-json_spec-1.1.1-2/rubygem-json_spec-1.1.1-2.fc21.src.rpm

koji build (for rawhide requires tag f21-ruby): http://koji.fedoraproject.org/koji/taskinfo?taskID=6769677

changes:
- No Requires since F21
- Remove skipping full cucumber tests for F21 (will be solved in #1054793)

Comment 2 Vít Ondruch 2014-06-03 06:41:16 UTC
Just a few notes from me:

* Don't use Rake to execute test suite
  - We typically don't use Rake to execute test suite, since it almost always
    needs some additional unnecessary dependencies.

* Execute the test suite in .%{gem_instdir}
  - Although there is more places where the test suite can be executed,
    execution of the test suite in '.' directory is the worst option, since
    it is the content of gem before repackaging. The best place IMO is the
    .%{gem_instdir}

* Don't use Bundler
  - Similarly to Rake, we trying to avoid Bundler. It typically downloads some
    external dependencies or doing another stuff which is more or less against
    what we are trying to achieve, i.e. using system dependencies.

* -doc sub package should not R: ruby(rubygems)
  - It always depends on the main package, so there is no need for any other
    dependencies.

* Keep the documentation in %{gem_instdir}
  - We typically keep the README as well as the LICENSE files on their original
    places. However we might disagree on this.

* Is the patching of .gitignore needed?
  - Not sure about this stuff. Why are you doing so? Why not %exclude it as you
    are doing with other files?

Comment 3 František Dvořák 2014-06-03 10:51:58 UTC
Thanks for the comments! Without rake the bundler is not needed anymore. And each point simplifies the packaging. :-)

New version:

Spec URL: http://scientific.zcu.cz/fedora/rubygem-json_spec-1.1.1-3/rubygem-json_spec.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-json_spec-1.1.1-3/rubygem-json_spec-1.1.1-3.fc21.src.rpm

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6920651

Comment 5 František Dvořák 2014-07-29 21:08:05 UTC
Spec URL: http://scientific.zcu.cz/fedora/rubygem-json_spec-1.1.2-1b/rubygem-json_spec.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-json_spec-1.1.2-1b/rubygem-json_spec-1.1.2-1.fc22.src.rpm

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7211557

* removed ruby(release) BR
* removing developer-only files sooner in %prep (they won't be there during tests), %exclude only files needed for tests

Comment 6 Josef Stribny 2014-08-05 07:40:08 UTC
I would personally put README, Rakefile and Gemfile into -doc subpackage, but this is only my preference. Issues mentioned by Vit has been addressed. Otherwise the spec looks sane, rpmlint doesn't complain, package builds, installs, runs ==> APPROVED.

Comment 7 František Dvořák 2014-08-05 08:02:32 UTC
OK, thanks! I will move the README to the -doc, if there is -doc subpackage already, it could better fit there.

Comment 8 František Dvořák 2014-08-05 08:20:50 UTC
New Package SCM Request
=======================
Package Name: rubygem-json_spec
Short Description: Easily handle JSON in RSpec and Cucumber
Upstream URL: https://github.com/collectiveidea/json_spec
Owners: valtri
Branches: f20 f21
InitialCC:

Comment 9 Gwyn Ciesla 2014-08-05 12:16:05 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-08-05 13:07:25 UTC
rubygem-json_spec-1.1.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-json_spec-1.1.2-1.fc20

Comment 11 Fedora Update System 2014-08-07 15:35:35 UTC
rubygem-json_spec-1.1.2-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 12 Fedora Update System 2014-08-16 00:32:44 UTC
rubygem-json_spec-1.1.2-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.